from backend.core.config import get_app_settings
from backend.core.root_logger import get_logger
from backend.repos.repository_houses import RepositoryHouses
from sqlalchemy.orm import Session

from backend.schemas.house.house import HouseCreate


logger = get_logger("init_house")
settings = get_app_settings()

def dev_houses() -> list[dict]:
  list = []
  for x in range(20):
    list.append({
      "icon": "IconAccessible",
      "name": f"Home{x+1}",
      "address": f"Address{x+1}",
      "areas": [{"name": f"Area{x+1}", "desc": "Description"}],
    })
  return list

def default_house_init(session: Session):
  houses = RepositoryHouses()
  for house in dev_houses():
    houses.create(session, HouseCreate(**house))
